Loading...
Searching...
No Matches
janus_av1_svc_context Struct Reference

Helper struct for processing and tracking AV1-SVC streams. More...

`#include <rtp.h>`

## Data Fields

uint8_t | tcnt
| Number of templates advertised via Dependency Descriptor.
uint8_t | tioff
| Template ID offset, as advertised via Dependency Descriptor.
GHashTable * | templates
| Map of templates advertised via Dependency Descriptor, indexed by ID.
int | spatial_layers
| How many spatial and temporal layers are available.
int | temporal_layers
gboolean | updated
| Whether this context changed since the last update.

## Detailed Description

Helper struct for processing and tracking AV1-SVC streams.

## Field Documentation

## spatial_layers

int janus_av1_svc_context::spatial_layers

How many spatial and temporal layers are available.

## tcnt

uint8_t janus_av1_svc_context::tcnt

Number of templates advertised via Dependency Descriptor.

## templates

GHashTable* janus_av1_svc_context::templates

Map of templates advertised via Dependency Descriptor, indexed by ID.

## temporal_layers

int janus_av1_svc_context::temporal_layers

## tioff

uint8_t janus_av1_svc_context::tioff

Template ID offset, as advertised via Dependency Descriptor.

## updated

gboolean janus_av1_svc_context::updated

Whether this context changed since the last update.

The documentation for this struct was generated from the following file:

- rtp.h